Subject: Commit in docs/usefor (usepro.xml)

From: [email-masked]
Date: Sun, 24 Aug 2008 21:01:59 -0700 (PDT)

Date: Sunday, August 24, 2008 @ 21:01:58
  Author: eagle
Revision: 4914

Media Type registration cleanup.

Add a registration template for message/news as part of declaring it
obsolete.  Move Disposition to Implementation considerations.  Add
Applications that use this media type, Intended usage, and Change
controller to the other media type registrations.

Add a reference for son-of-1036 for the message/news registration and
cite that reference in the Acknowledgements section.

Modified:
  docs/usefor/usepro.xml

Modified: docs/usefor/usepro.xml
===================================================================
--- docs/usefor/usepro.xml	2008-08-24 20:58:03 UTC (rev 4913)
+++ docs/usefor/usepro.xml	2008-08-25 04:01:58 UTC (rev 4914)
@@ -1412,6 +1412,30 @@
       media type message/rfc822 (defined in <xref target="RFC2046" />,
       section 5.2.1) SHOULD be used in its place.</t>
 
+      <figure>
+        <preamble>The updated MIME media type definition of message/news
+        is:</preamble>
+
+        <artwork>
+   MIME type name:           message
+   MIME subtype name:        news
+   Required parameters:      none
+   Optional parameters:      charset, compare message/rfc822
+   Disposition:              by default, inline
+   Encoding considerations:  compare message/rfc822 (RFC 2046)
+   Security considerations:  OBSOLETE, use message/rfc822.
+   Interoperability considerations:
+                             Rarely used; and therefore often
+                             handled as application/octet-stream
+   Published specification:  [SON-OF-1036], RFC&rfc.number;
+   Applications that use this media type:
+                             None known.
+   Intended usage:           OBSOLETE
+   Author:                   Henry Spencer 
+   Change controller:        IETF
+        </artwork>
+      </figure>
+
       <section anchor="transmission" title="application/news-transmission">
         <t>The media type application/news-transmission is intended for
         the encapsulation of complete news articles where the intention is
@@ -1446,6 +1470,10 @@
    Body part:                A complete proto-article ready for
                              injection into Netnews or an article
                              being relayed to another agent.
+   Applications that use this media type:
+                             Injecting agents, Netnews moderators.
+   Intended usage:           COMMON
+   Change controller:        IETF
           </artwork>
         </figure>
 
@@ -1483,11 +1511,17 @@
                              Specifies the charset of the body part.
                              If not given, the charset defaults to
                              US-ASCII [ASCII].
-   Disposition:              by default, inline
    Encoding considerations:  7bit or 8bit MUST be used to maintain
                              compatibility. 
    Security considerations:  None.
+   Implementation considerations:
+                             Disposition should by default be inline.
+   Applications that use this media type:
+                             Control message issuers, relaying
+                             agents, serving agents.
    Published specification:  RFC&rfc.number;
+   Intended usage:           COMMON
+   Change controller:        IETF
           </artwork>
         </figure>
 
@@ -1558,7 +1592,6 @@
                              Specifies the charset of the body part.
                              If not given, the charset defaults to
                              US-ASCII [ASCII].
-   Disposition:              by default, inline
    Encoding considerations:  7bit or 8bit MUST be used to maintain
                              compatibility. 
    Security considerations:  This media type provides only a means
@@ -1569,7 +1602,14 @@
                              should exist within a hierarchy.  Such
                              authorization must be accomplished by
                              other means.
+   Implementation considerations:
+                             Disposition should by default be inline.
+   Applications that use this media type:
+                             Control message issuers, relaying
+                             agents, serving agents.
    Published specification:  RFC&rfc.number;
+   Intended usage:           COMMON
+   Change controller:        IETF
           </artwork>
         </figure>
 
@@ -2127,7 +2167,8 @@
       registration.</t>
 
       <t>IANA is also requested to change the status of the message/news
-      media type to "OBSOLETE".  message/rfc822 should be used instead.</t>
+      media type to "OBSOLETE".  message/rfc822 should be used instead.
+      An updated template is included in <xref target="media" />.</t>
     </section>
   </middle>
 
@@ -2179,6 +2220,16 @@
       &rfc2606;
       &rfc3798;
       &rfc3977;
+      <reference anchor="SON-OF-1036">
+        <front>
+          <title>News Article Format and Transmission</title>
+          <author initials="H." surname="Spencer"
+            fullname="Henry Spencer">
+            <organization>SP Systems</organization>
+          </author>
+          <date month="June" year="1994" />
+        </front>
+      </reference>
       <reference anchor="USEAGE"
         target="http://tools.ietf.org/html/draft-ietf-usefor-useage-01">
         <front>
@@ -2258,8 +2309,9 @@
       members of the USEFOR Working Group of the Internet Engineering Task
       Force (IETF) and the accompanying mailing list.</t>
 
-      <t>Special thanks are due to Henry Spencer, whose Son-of-1036 draft
-      served as the initial basis for this document.</t>
+      <t>Special thanks are due to Henry Spencer, whose <xref
+      target="SON-OF-1036" /> draft served as the initial basis for this
+      document.</t>
     </section>
   </back>
 </rfc>

---

From: "Frank Ellermann" <[email-masked]>
Date: Mon, 25 Aug 2008 22:42:17 +0200

> +   Disposition:              by default, inline

Likely fixed later.

> +   Applications that use this media type:

I proposed "some old UAs", because netscape 3.x did.
Maybe write "obsolete netscape UAs" (or similar)...

...after all this was the mother of all Web browsers
(ignoring Mosaic and Lynx for a second)

 Frank

---

From: Russ Allbery <[email-masked]>
Date: Mon, 25 Aug 2008 17:09:36 -0700

> Maybe write "obsolete netscape UAs" (or similar)...

Oh, sorry, I didn't realize that.  Will change.  (I should have asked
first.)

-- 
Russ Allbery ([email-masked])             <http://www.eyrie.org/~eagle/>